import { ColumnDefinition, RowData, TableRenderer } from './table.types';
export declare class NativeRenderer implements TableRenderer {
    cellTemplate(cell: HTMLElement, offset: string, col: ColumnDefinition, row: RowData, rowIndex: number, template: string): void;
    rowTemplate(template: string, targetEl: HTMLElement, row: RowData, rowIndex: number): void;
    fromTemplate(template: string, targetEl: HTMLElement, row: RowData, rowIndex: number): void;
}
